summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authorChristoph Cullmann <cullmann@kde.org>2019-04-06 17:17:57 +0200
committerChristoph Cullmann <cullmann@kde.org>2019-04-06 17:17:57 +0200
commit875f702a786a771db915b9b37bd45e191c2e79af (patch)
treef07fe7a1b038388492ed4e805ca8d74821a0b7d7 /update.sh
parent0a0768d11ab844f6bce8832f7f390df2e6166ac4 (diff)
update scripty
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/update.sh b/update.sh
new file mode 100755
index 0000000..bed4a5a
--- /dev/null
+++ b/update.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# failures are evil
+set -e
+
+# update our clone
+git submodule update --init --recursive
+git submodule update --recursive --remote
+git pull
+
+# rerun hugo generator
+./hugo